## kpim6-libksieve 25.08.0

=== debian/changelog ===
kpim6-libksieve (4:25.08.0-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 01:43:53 +0000

kpim6-libksieve (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:39:28 +0000

kpim6-libksieve (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:58:20 +0000

kpim6-libksieve (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:07:18 +0000

kpim6-libksieve (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:48:55 +0000

kpim6-libksieve (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:04:22 +0000

kpim6-libksieve (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:33:33 +0000

kpim6-libksieve (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:02:27 +0000

kpim6-libksieve (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:54:07 +0000

kpim6-libksieve (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:49:06 +0000

kpim6-libksieve (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:05:31 +0000

kpim6-libksieve (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:37:17 +0000

kpim6-libksieve (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:09:02 +0000

kpim6-libksieve (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:01:34 +0000

kpim6-libksieve (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:43:22 +0000

kpim6-libksieve (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:03:45 +0000

kpim6-libksieve (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:47:06 +0000

kpim6-libksieve (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:16:14 +0000

libkf5ksieve (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:36:59 +0000

libkf5ksieve (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:53:43 +0000

libkf5ksieve (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:21:05 +0000

libkf5ksieve (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:24:32 +0000

libkf5ksieve (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:23:49 +0000

libkf5ksieve (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:51:48 +0000

libkf5ksieve (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:05:19 +0000

libkf5ksieve (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:11:30 +0000

libkf5ksieve (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:33:41 +0000

libkf5ksieve (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:48:32 +0000

libkf5ksieve (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:19:46 +0000

libkf5ksieve (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:42:13 +0000

libkf5ksieve (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:41:00 +0000

libkf5ksieve (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:50:49 +0000

libkf5ksieve (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:56 +0000

libkf5ksieve (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:06 +0000

libkf5ksieve (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:40:14 +0000

libkf5ksieve (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:04 +0000

libkf5ksieve (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:46:39 +0000

libkf5ksieve (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:07 +0000

libkf5ksieve (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:12 +0000

libkf5ksieve (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:34 +0000

libkf5ksieve (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:17 +0000

libkf5ksieve (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:50 +0000

libkf5ksieve (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:16:14 +0000

libkf5ksieve (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:19 +0000

libkf5ksieve (4:20.12.0-0neon) focal; urgency=medium

  * New release



## kpim6-libksieve 25.08.1

=== debian/changelog ===
kpim6-libksieve (4:25.08.1-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 14:01:00 +0000

kpim6-libksieve (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:11:12 +0000

## kpim6-libksieve 25.08.1+p24.04+vstable+git20250926.1108

=== debian/changelog ===
kpim6-libksieve (4:25.08.1+p24.04+vstable+git20250926.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:08:40 +0000

## kpim6-libksieve 25.08.1+p24.04+vstable+git20250930.0540

=== debian/changelog ===
kpim6-libksieve (4:25.08.1+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:16 +0000

## kpim6-libksieve 25.08.2

=== debian/changelog ===
kpim6-libksieve (4:25.08.2-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 09:13:54 +0000

kpim6-libksieve (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:53:49 +0000

## kpim6-libksieve 25.08.2+p24.04+vstable+git20251024.0031

=== src/ksievecore/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKSIEVECORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libksievecore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveCoreConfigVersion.cmake"
                        SOVERSION 6
)

add_library(KPim6KSieveCore)
add_library(KPim6::KSieveCore ALIAS KPim6KSieveCore)

target_sources(
    KPim6KSieveCore
    PRIVATE
        sieveimapinstance/sieveimapinstance.cpp
        sieveimapinstance/sieveimapinstance.h
        sieveimapinstance/sieveimapinstanceinterface.cpp
        sieveimapinstance/sieveimapinstanceinterface.h
        sieveimapinstance/sieveimapinstanceinterfacemanager.cpp
        sieveimapinstance/sieveimapinstanceinterfacemanager.h
)

target_sources(
    KPim6KSieveCore
    PRIVATE
        managescriptsjob/checkkolabkep14supportjob.cpp
        managescriptsjob/checkkolabkep14supportjob.h
        managescriptsjob/generateglobalscriptjob.cpp
        managescriptsjob/generateglobalscriptjob.h
        managescriptsjob/parseuserscriptjob.cpp
        managescriptsjob/parseuserscriptjob.h
        managescriptsjob/renamescriptjob.cpp
        managescriptsjob/renamescriptjob.h
        managescriptsjob/checkscriptjob.cpp
        managescriptsjob/checkscriptjob.h
)

target_sources(
    KPim6KSieveCore
    PRIVATE
        util/util.cpp
        util/util.h
        util/abstractakonadiimapsettinginterface.cpp
        util/abstractakonadiimapsettinginterface.h
        util/akonadiimapsettinginterface.cpp
        util/akonadiimapsettinginterface.h
        util/sieveimapaccountsettings.cpp
        util/sieveimapaccountsettings.h
        util/findaccountinfojob.cpp
        util/findaccountinfojob.h
        util/sieveimappasswordprovider.cpp
        util/sieveimappasswordprovider.h
)

target_sources(
    KPim6KSieveCore
    PRIVATE
        scriptsparsing/xmlprintingscriptbuilder.cpp
        scriptsparsing/xmlprintingscriptbuilder.h
        scriptsparsing/parsingutil.cpp
        scriptsparsing/parsingutil.h
)

target_sources(
    KPim6KSieveCore
    PRIVATE
        vacation/vacationhelperjob.cpp
        vacation/vacationhelperjob.h
        vacation/vacationscriptextractor.cpp
        vacation/vacationscriptextractor.h
        vacation/vacationutils.cpp
        vacation/vacationutils.h
        vacation/vacationcreatescriptjob.cpp
        vacation/vacationcreatescriptjob.h
        vacation/vacationcheckjob.cpp
        vacation/vacationcheckjob.h
        vacation/searchserverwithvacationsupportjob.cpp
        vacation/searchserverwithvacationsupportjob.h
        vacation/multiimapvacationmanager.h
        vacation/multiimapvacationmanager.cpp
)

ecm_qt_declare_logging_category(KPim6KSieveCore HEADER libksievecore_debug.h IDENTIFIER LIBKSIEVECORE_LOG CATEGORY_NAME org.kde.pim.libksieve.core
    DESCRIPTION "kdepim (libksievecore)"
    EXPORT LIBKSIEVE
)
kconfig_add_kcfg_files(KPim6KSieveCore settings/sieve-vacation.kcfgc)

target_link_libraries(
    KPim6KSieveCore
    PUBLIC
        Qt::Core
        KPim6::KManageSieve
        KPim6::KSieve
    PRIVATE
        KPim6::PimCommon
        KF6::I18n
        KF6::CoreAddons
        KPim6::MailTransport
        KPim6::Mime
        KPim6::IdentityManagementCore
)

generate_export_header(KPim6KSieveCore BASE_NAME ksievecore)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6KSieveCore
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

set_target_properties(
    KPim6KSieveCore
    PROPERTIES
        VERSION
            ${LIBKSIEVECORE_VERSION}
        SOVERSION
            ${LIBKSIEVECORE_SOVERSION}
        EXPORT_NAME
            KSieveCore
)

target_include_directories(
    KPim6KSieveCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KSieveCore/;${KDE_INSTALL_INCLUDEDIR}/KPim6/KSieveCore>"
)
target_include_directories(
    KPim6KSieveCore
    PUBLIC
        "$<BUILD_INTERFACE:${libksieve_SOURCE_DIR}/src/ksievecore;${libksieve_BINARY_DIR}/src/ksievecore>"
)

if(BUILD_TESTING)
    add_subdirectory(sieveimapinstance/autotests)
    add_subdirectory(managescriptsjob/autotests)
    add_subdirectory(util/autotests/)
    add_subdirectory(scriptsparsing/autotests)
    add_subdirectory(vacation/autotests)
endif()

ecm_generate_headers(ksievecore_Camelcaseimapinstance_HEADERS
    HEADER_NAMES
    SieveImapInstance
    SieveImapInstanceInterface
    SieveImapInstanceInterfaceManager
    REQUIRED_HEADERS ksievecore_imapinstance_HEADERS
    PREFIX KSieveCore
    RELATIVE sieveimapinstance
)

ecm_generate_headers(ksievecore_Camelmanagescriptsjob_HEADERS
    HEADER_NAMES
    RenameScriptJob
    CheckScriptJob
    REQUIRED_HEADERS ksievecore_managescriptsjob_HEADERS
    PREFIX KSieveCore
    RELATIVE managescriptsjob
)

ecm_generate_headers(ksievecore_Camelcaseutil_HEADERS
    HEADER_NAMES
    Util
    SieveImapAccountSettings
    SieveImapPasswordProvider
    REQUIRED_HEADERS ksievecore_util_HEADERS
    PREFIX KSieveCore
    RELATIVE util
)

ecm_generate_headers(ksievecore_Camelcasescriptsparsing_HEADERS
    HEADER_NAMES
    XMLPrintingScriptBuilder
    ParsingUtil
    REQUIRED_HEADERS ksievecore_scriptsparsing_HEADERS
    PREFIX KSieveCore
    RELATIVE scriptsparsing
)

ecm_generate_headers(ksievecore_Camelcasevacation_HEADERS
    HEADER_NAMES
    SearchServerWithVacationSupportJob
    VacationUtils
    VacationCreateScriptJob
    VacationCheckJob
    MultiImapVacationManager
    REQUIRED_HEADERS ksievecore_vacation_HEADERS
    PREFIX KSieveCore
    RELATIVE vacation
)

install(TARGETS KPim6KSieveCore EXPORT KPim6KSieveCoreTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(
    FILES
        ${ksievecore_Camelcaseimapinstance_HEADERS}
        ${ksievecore_Camelmanagescriptsjob_HEADERS}
        ${ksievecore_Camelcaseutil_HEADERS}
        ${ksievecore_Camelcasescriptsparsing_HEADERS}
        ${ksievecore_Camelcasevacation_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KSieveCore/KSieveCore
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ksievecore_export.h
        ${ksievecore_imapinstance_HEADERS}
        ${ksievecore_managescriptsjob_HEADERS}
        ${ksievecore_util_HEADERS}
        ${ksievecore_scriptsparsing_HEADERS}
        ${ksievecore_vacation_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/sieve-vacation.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KSieveCore/ksievecore
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/libksievecore_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KSieveCore
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6KSieveCore")
if(BUILD_QCH)
    ecm_add_qch(
        KPim6KSieveCore_QCH
        NAME KPim6KSieveCore
        BASE_NAME KPim6KSieveCore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${ksievecore_imapinstance_HEADERS}
        ${ksievecore_managescriptsjob_HEADERS}
        ${ksievecore_util_HEADERS}
        ${ksievecore_scriptsparsing_HEADERS}
        ${ksievecore_vacation_HEADERS}
        LINK_QCHS
        Qt6Core_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        KSIEVECORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6KSieveCore_QCH
        FILE KPim6KSieveCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6KSieveCoreQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimKSieveCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6KSieveCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6KSieveCoreTargets.cmake
    NAMESPACE KPim6::
)

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vstable+git20251024.0031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 00:31:29 +0000

## kpim6-libksieve 25.08.2+p24.04+vstable+git20251028.1036

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vstable+git20251028.1036-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:37:00 +0000

## kpim6-libksieve 25.08.2+p24.04+vstable+git20251030.0410

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vstable+git20251030.0410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:10:27 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libksieve-([\d.]+).tar.xz

## kpim6-libksieve 25.08.2+p24.04+vunstable+git20251021.0052

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

project(libksieve VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(KTEXTADDONS_MIN_VERSION "1.8.0")
set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(LIBKSIEVE_LIB_VERSION ${PIM_VERSION})
set(KMIME_LIB_VERSION "6.5.40")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
set(LIBKDEPIM_LIB_VERSION "6.5.40")
set(PIMCOMMON_LIB_VERSION "6.5.40")
set(KIMAP_LIB_VERSION "6.5.40")

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)
# Look for Sasl2 before anything else
find_package(Sasl2)
set_package_properties(
    Sasl2
    PROPERTIES
        TYPE
            REQUIRED
)

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        PrintSupport
        WebEngineWidgets
)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)
option(OPTION_ADD_AUTOGENERATETEXT "Add support for autogenerate text plugin" ON)
if(OPTION_ADD_AUTOGENERATETEXT)
    find_package(KF6TextAutoGenerateText ${KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION} CONFIG)
    set_package_properties(
        KF6TextAutoGenerateText
        PROPERTIES
            TYPE
                OPTIONAL
            PURPOSE
                "Required for building AI plugins support"
            DESCRIPTION
                "Use AI plugin"
    )
endif()

if(TARGET KF6::TextAutoGenerateText)
    set(HAVE_TEXT_AUTOGENERATE_TEXT TRUE)
endif()

########### Targets ###########
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
########### CMake Config Files ###########
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
    add_subdirectory(autotests)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT LIBKSIEVE
        FILE libksieve.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/ksieveui/scriptsparsing/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(
    ${libksieveui_SOURCE_DIR}
    ${libksieve_SOURCE_DIR}/src/ksieveui
    ${libksieve_SOURCE_DIR}/src/ksieveui/scriptsparsing/
)

add_executable(xmlsieveparsing main.cpp)
target_link_libraries(
    xmlsieveparsing
    KPim6KSieveCore
    KPim6KSieveUi
    KPim6::KSieve
    KF6::I18n
    KF6::SyntaxHighlighting
)

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vunstable+git20251021.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 00:52:37 +0000

=== debian/control ===
Source: kpim6-libksieve
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-ktextaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-syntax-highlighting-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kimap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-pimcommon-dev,
               libsasl2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libksieve.git
Vcs-Browser: https://invent.kde.org/neon/kde/libksieve
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-libksieve
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-sieve,
          libkf5kmanagesieve5,
          libkf5ksieve-data,
          libkf5ksieve5,
          libkf5ksieveui5,
          libkpim6kmanagesieve6,
          libkpim6ksieve-data,
          libkpim6ksieve6,
          libkpim6ksieveui6
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package contains the library files for ksieve.

Package: kpim6-libksieve-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-syntax-highlighting-dev,
         kpim6-libksieve (= ${binary:Version}),
         kpim6-pimcommon-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf5sieve-dev, libkpim6ksieve-dev
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package contains development files for ksieve.

Package: kio-sieve
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kmanagesieve6
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieve-data
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieve-dev
Architecture: all
Depends: kpim6-libksieve-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieve6
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieveui6
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kmanagesieve5
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieve-data
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieve-dev
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieve5
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieveui5
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-libksieve 25.08.2+p24.04+vunstable+git20251021.0523

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vunstable+git20251021.0523-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:23:37 +0000

## kpim6-libksieve 25.08.2+p24.04+vunstable+git20251022.0145

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(libksieve VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vunstable+git20251022.0145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 01:45:58 +0000

## kpim6-libksieve 25.08.3

=== debian/changelog ===
kpim6-libksieve (4:25.08.3-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:50:24 +0000

kpim6-libksieve (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:12 +1000

## kpim6-libksieve 25.08.3+p24.04+vunstable+git20251204.0226

=== debian/changelog ===
kpim6-libksieve (4:25.08.3+p24.04+vunstable+git20251204.0226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:26:39 +0000

## kpim6-libksieve 25.08.3+p24.04+vunstable+git20251205.1031

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(libksieve VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -57,8 +56,8 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
-set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "${KTEXTADDONS_MIN_VERSION}")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(
@@ -68,13 +67,13 @@
 )
 
 set(LIBKSIEVE_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.5.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
-set(KIMAP_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KIMAP_LIB_VERSION "6.6.40")
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -124,7 +123,7 @@
 
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)
-    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
+    set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
 endif()
 find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
@@ -158,7 +157,7 @@
 endif()
 
 ########### Targets ###########
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
kpim6-libksieve (4:25.08.3+p24.04+vunstable+git20251205.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Dec 2025 10:31:59 +0000

## kpim6-libksieve 25.12.0

=== debian/changelog ===
kpim6-libksieve (4:25.12.0-0zneon+24.04+noble+release+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:09:37 +0000

kpim6-libksieve (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:32 +1000

## kpim6-libksieve 25.12.0+p24.04+vstable+git20251222.0626

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 
 project(libksieve VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -56,8 +57,8 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
-set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "${KTEXTADDONS_MIN_VERSION}")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(
@@ -67,13 +68,13 @@
 )
 
 set(LIBKSIEVE_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.6.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(KIMAP_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(KIMAP_LIB_VERSION "6.6.0")
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -124,6 +125,9 @@
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)
     set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
+    if(${KF6TextEditTextToSpeech_VERSION} VERSION_GREATER_EQUAL 1.8.55)
+        set(HAVE_TEXTTOSPEECH_ENQUEUE_SUPPORT TRUE)
+    endif()
 endif()
 find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

## kpim6-libksieve 25.12.1

=== debian/changelog ===
kpim6-libksieve (4:25.12.1-0zneon+24.04+noble+release+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:45:20 +0000

kpim6-libksieve (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:47 +1000

## kpim6-libksieve 25.12.1+p24.04+vstable+git20260107.0237

=== debian/changelog ===
kpim6-libksieve (4:25.12.1+p24.04+vstable+git20260107.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 02:37:33 +0000

## kpim6-libksieve 25.12.1+p24.04+vstable+git20260118.0246

=== debian/changelog ===
kpim6-libksieve (4:25.12.1+p24.04+vstable+git20260118.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:46:54 +0000

## kpim6-libksieve 25.12.1+p24.04+vstable+git20260130.1128

=== debian/changelog ===
kpim6-libksieve (4:25.12.1+p24.04+vstable+git20260130.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:28:49 +0000
